Qwen Image 2.0 画像生成
curl --request POST \
--url https://api.sinancode.com/v1/generate/bailian/qwen-image-2.0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"images": [
"<string>"
],
"prompt": "<string>",
"n": 3,
"negative_prompt": "<string>",
"prompt_extend": true,
"seed": 1073741823,
"size": "<string>"
}
'import requests
url = "https://api.sinancode.com/v1/generate/bailian/qwen-image-2.0"
payload = {
"images": ["<string>"],
"prompt": "<string>",
"n": 3,
"negative_prompt": "<string>",
"prompt_extend": True,
"seed": 1073741823,
"size": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
images: ['<string>'],
prompt: '<string>',
n: 3,
negative_prompt: '<string>',
prompt_extend: true,
seed: 1073741823,
size: '<string>'
})
};
fetch('https://api.sinancode.com/v1/generate/bailian/qwen-image-2.0', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "01234567-89ab-cdef-0123-456789abcdef"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}画像生成 - Qwen
Qwen Image 2.0
Qwen Image 2.0 高速版、テキストから画像生成と画像編集に対応、自由な解像度と複数画像出力(1-6枚)をサポート。
POST
/
generate
/
bailian
/
qwen-image-2.0
Qwen Image 2.0 画像生成
アリババクラウドの Qwen Image 2.0 高速版モデルを使用して画像を生成します。
モデルの特徴:
- 自由解像度 - 自由な幅と高さをサポート、総ピクセル数は 512x512 から 2048x2048 まで
- 複数画像出力 - 1回のリクエストで1〜6枚の画像を生成
- テキストから画像&画像編集 - テキストから画像生成と画像編集の両方のモードをサポート
承認
API Tokenを使用して認証を行ってください
ボディ
application/json
タスクパラメータ
入力画像リスト(オプション、0-3枚、画像編集モード用) 省略するとテキストから画像生成モード、指定すると画像編集モード
Maximum array length:
3プロンプト(必須、最大 800 文字)
Required string length:
1 - 800出力画像数(オプション、1-6、デフォルト 1)
必須範囲:
1 <= x <= 6ネガティブプロンプト(オプション、最大 500 文字)
Maximum string length:
500プロンプトのスマートリライトを有効にする(オプション、デフォルト true)
ランダムシード(オプション、範囲 0-2147483647)
必須範囲:
0 <= x <= 2147483647画像サイズ(オプション、デフォルト 20482048) qwen-image-2.0 は自由な縦横サイズに対応、総ピクセル数は 512512 から 20482048 の範囲 推奨解像度:26881536(16:9) 15362688(9:16) 20482048(1:1) 23681728(4:3) 17282368(3:4)
レスポンス
OK
タスクID
例:
"01234567-89ab-cdef-0123-456789abcdef"
⌘I